Name:           python-aiohttp
Version:        3.9.5
Release:        0.01%{?dist}
Summary:        Async http client/server framework (asyncio)

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/aio-libs/aiohttp
Source:         %{pypi_source aiohttp}

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  pytest
BuildRequires:  python3-gunicorn


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aiohttp' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aiohttp
Summary:        %{summary}

%description -n python3-aiohttp %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-aiohttp speedups


%prep
%autosetup -p1 -n aiohttp-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x speedups


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import


%files -n python3-aiohttp -f %{pyproject_files}


%changelog
* Wed Apr 24 2024 Brian J. Murrell <brian@interlinx.bc.ca> - 3.9.5-0.01
- Update to 3.9.5

* Sat Apr 20 2024 Brian J. Murrell <brian@interlinx.bc.ca> - 3.9.4-0.01
- Update to 3.9.4

* Sun Feb 4 2024 Brian J. Murrell <brian@interlinx.bc.ca> - 3.9.3-0.01
- Initial creation
- Add BRs: pytest, python3-gunicorn
